zed: '*'

input: |
  {"id":27,"schema":{"of":[{"name":"a","of":["string",{"of":"int32","type":"array"},{"of":"string","type":"array"},{"of":["string","int32"],"type":"union"}],"type":"union"}],"type":"record"},"values":[["0","\"hello\""]]}
  {"id":27,"values":[["1",["1","2"]]]}
  {"id":27,"values":[["2",["\"a\"","\"b\""]]]}
  {"id":27,"values":[["3",["1","123"]]]}

output-flags: -f tzng

output: |
  #0:record[a:union[string,array[int32],array[string],union[string,int32]]]
  0:[0:"hello";]
  0:[1:[1;2;]]
  0:[2:["a";"b";]]
  0:[3:1:123;]
